## qt5integration 5.6.32

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

cmake_minimum_required(VERSION 3.13)

set(DTK_VERSION
  5.6.12
  CACHE STRING "Project version"
)

project(
  qtintegration
  VERSION ${DTK_VERSION}
  DESCRIPTION "Qt platform integration for DTK"
  HOMEPAGE_URL "https://github.com/linuxdeepin/qt5integration"
  LANGUAGES CXX C
)

option(BUILD_TESTS "Build tests" OFF)
option(ENABLE_COV "Enable code coverage" OFF)

if(PROJECT_VERSION_MAJOR EQUAL 6)
  set(VERSION_SUFFIX 6)
  find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core)
else()
  set(VERSION_SUFFIX)
  find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core)
endif()

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX /usr)
endif()
include(GNUInstallDirs)
include(CMakeParseArguments)
include(CMakeDependentOption)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()
string(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_LOWER)
if(CMAKE_BUILD_TYPE_LOWER STREQUAL release)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2")
elseif(CMAKE_BUILD_TYPE_LOWER STREQUAL debug)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0 -g")
endif()

if(ENABLE_COV)
  find_package(DtkBuildHelper REQUIRED)
endif()

# Some util functions
function(dtk_add_plugin)
  set(options)
  set(oneValueArgs NAME OUTPUT_NAME OUTPUT_DIR INSTALL_DIR)
  set(multiValueArgs SOURCES HEADERS RESOURCES DEPENDENCIES DEFINITIONS OPTIONS INCLUDE_DIRS)
  cmake_parse_arguments(TARGET "${options}" "${oneValueArgs}"
                        "${multiValueArgs}" ${ARGN})
  set(RAW_SOURCES ${TARGET_SOURCES} ${TARGET_RESOURCES})
  foreach(HEADER ${TARGET_HEADERS})
    get_filename_component(HEADER_ABS_PATH ${HEADER} ABSOLUTE BASE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
    list(APPEND ABS_PATH_SOURCES ${SOURCE_ABS_PATH})
    get_filename_component(HEADER_DIR ${HEADER_ABS_PATH} DIRECTORY)
    list(APPEND TARGET_INTERFACE_INCLUDE_DIRS ${HEADER_DIR})
  endforeach()
  list(REMOVE_DUPLICATES TARGET_INTERFACE_INCLUDE_DIRS)
  foreach(SOURCE ${RAW_SOURCES})
    get_filename_component(SOURCE_ABS_PATH ${SOURCE} ABSOLUTE BASE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
    list(APPEND ABS_PATH_SOURCES ${SOURCE_ABS_PATH})
  endforeach()
  add_library(${TARGET_NAME} SHARED ${TARGET_HEADERS} ${TARGET_SOURCES} ${TARGET_RESOURCES})
  target_compile_definitions(${TARGET_NAME} PRIVATE ${TARGET_DEFINITIONS})
  target_compile_options(${TARGET_NAME} PRIVATE ${TARGET_OPTIONS})
  target_link_libraries(${TARGET_NAME} PRIVATE ${TARGET_DEPENDENCIES})
  foreach(dependency ${TARGET_DEPENDENCIES})
    target_link_libraries(${TARGET_NAME} INTERFACE $<BUILD_INTERFACE:${dependency}>)
  endforeach()
  target_include_directories(${TARGET_NAME} PRIVATE ${TARGET_INCLUDE_DIRS})
  foreach(include_dir ${TARGET_INCLUDE_DIRS})
    target_include_directories(${TARGET_NAME} INTERFACE $<BUILD_INTERFACE:${include_dir}>)
  endforeach()
  if(TARGET_OUTPUT_NAME)
    set_target_properties(${TARGET_NAME} PROPERTIES OUTPUT_NAME ${OUTPUT_NAME})
  endif()
  if(TARGET_OUTPUT_DIR)
    set_target_properties(${TARGET_NAME}
                          PROPERTIES
                          LIBRARY_OUTPUT_DIRECTORY ${TARGET_OUTPUT_DIR})
  endif()
  if(TARGET_INSTALL_DIR)
    install(TARGETS ${TARGET_NAME} DESTINATION ${TARGET_INSTALL_DIR})
  endif()
  if(ENABLE_COV)
    dtk_setup_code_coverage(${TARGET_NAME})
  endif()
endfunction()

find_package(Dtk${VERSION_SUFFIX} REQUIRED COMPONENTS Widget)

option(ENABLE_QT_XDG_ICON_LOADER "Enable QtXdgIconLoader" ON)
find_package(Qt${QT_VERSION_MAJOR}XdgIconLoader)
find_package(Qt${QT_VERSION_MAJOR}Xdg REQUIRED)
if (NOT Qt${QT_VERSION_MAJOR}XdgIconLoader_FOUND)
    message(WARNING " Qt${QT_VERSION_MAJOR}XdgIconLoader Not Found, DISABLE QtXdgIconLoader !")
    set (ENABLE_QT_XDG_ICON_LOADER OFF)
endif()

if(ENABLE_QT_XDG_ICON_LOADER)
  set(QT_XDG_ICON_DEPS Qt${QT_VERSION_MAJOR}XdgIconLoader Qt${QT_VERSION_MAJOR}Xdg)

  if("${QT_VERSION_MAJOR}" STREQUAL "5")
      set(XDG_ICON_VERSION_MAJOR ${Qt5XdgIconLoader_VERSION_MAJOR})
  elseif("${QT_VERSION_MAJOR}" STREQUAL "6")
      set(XDG_ICON_VERSION_MAJOR ${Qt6XdgIconLoader_VERSION_MAJOR})
  endif()
endif()

set(PLUGIN_OUTPUT_BASE_DIR ${CMAKE_BINARY_DIR}/plugins CACHE STRING "Plugin output base path")
set(PLUGIN_INSTALL_BASE_DIR ${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/plugins CACHE STRING "Plugin install base path")

add_subdirectory(iconengineplugins)
add_subdirectory(imageformatplugins)
add_subdirectory(platformthemeplugin)
add_subdirectory(styleplugins)
if(CMAKE_BUILD_TYPE_LOWER STREQUAL debug)
  add_subdirectory(styles)
endif()
if(BUILD_TESTS)
  add_subdirectory(tests)
endif()

=== styleplugins/chameleon/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
dtk_add_plugin(
    NAME chameleon
    OUTPUT_DIR
        ${PLUGIN_OUTPUT_BASE_DIR}/styles
    INSTALL_DIR
        ${PLUGIN_INSTALL_BASE_DIR}/styles
    SOURCES
        main.cpp
        chameleonstyle.cpp
        dstyleanimation.cpp
    HEADERS
        chameleonstyle.h
        common.h
        dstyleanimation.h
    RESOURCES
        resources.qrc
    DEPENDENCIES
        Dtk${VERSION_SUFFIX}::Widget
        Qt${QT_VERSION_MAJOR}::CorePrivate
        Qt${QT_VERSION_MAJOR}::GuiPrivate
        Qt${QT_VERSION_MAJOR}::WidgetsPrivate
)

## qt5integration 5.1.12

=== debian/changelog ===
qt5integration (5.1.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 15 Apr 2021 17:59:29 +0800

qt5integration (1.0.0) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 08 Nov 2016 15:10:02 +0800

=== debian/control ===
Source: qt5integration
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>=9),
 qt5-qmake,
 qtbase5-dev,
 qtbase5-private-dev,
 libqt5xdg-dev,
 libdtkgui-dev,
 libdtkwidget-dev,
 pkg-config,
 libqt5x11extras5-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libglib2.0-dev,
 libqt5svg5-dev,
 libqt5xdgiconloader-dev,
 libmtdev-dev,
 libegl1-mesa-dev,
 libxrender-dev,
 libgtest-dev
Standards-Version: 3.9.8

Package: dde-qt5integration
Architecture: any
Provides: libqt5deepintheme-plugin
Conflicts: libqt5deepintheme-plugin
Depends: ${shlibs:Depends}, ${misc:Depends}, dde-qt5xcb-plugin
Description: Qt platform theme integration plugins for DDE
 Multiple Qt plugins to provide better Qt5 integration for DDE is included.

## qt5integration 5.5.20

=== debian/changelog ===
qt5integration (5.5.20-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 22 Feb 2022 13:37:01 +0800

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,12 @@
 Architecture: any
 Provides: libqt5deepintheme-plugin
 Conflicts: libqt5deepintheme-plugin
+Depends: ${shlibs:Depends}, ${misc:Depends}, dde-qt5xcb-plugin, dde-qt5integration5
+Description: Qt platform theme integration plugin choosers for DDE
+ Multiple Qt plugin choosers for DDE is included.
+
+Package: dde-qt5integration5
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dde-qt5xcb-plugin
 Description: Qt platform theme integration plugins for DDE
  Multiple Qt plugins to provide better Qt5 integration for DDE is included.

## qt5integration 5.5.23.1

=== debian/changelog ===
qt5integration (5.5.23.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 16 Jun 2022 17:11:23 +0800

## qt5integration 5.5.24

=== debian/changelog ===
qt5integration (5.5.24-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 31 Aug 2022 15:22:08 +0800

## qt5integration 5.5.25

=== debian/changelog ===
qt5integration (5.5.25-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 28 Nov 2022 15:06:01 +0800

qt5integration (5.5.25) unstable; urgency=medium

  * Release 5.5.25

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 24 Nov 2022 13:31:31 +0800

## qt5integration 5.5.26

=== debian/changelog ===
qt5integration (5.5.26-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Apr 2023 14:35:55 +0800

## qt5integration 5.5.26.1

=== debian/changelog ===
qt5integration (5.5.26.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 25 Sep 2023 09:48:11 +0800

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,8 @@
 Package: dde-qt5integration
 Architecture: any
 Provides: libqt5deepintheme-plugin
-Conflicts: libqt5deepintheme-plugin
+Conflicts: libqt5deepintheme-plugin, dde-qt5integration5.5
+Replaces: dde-qt5integration5.5
 Depends: ${shlibs:Depends}, ${misc:Depends}, dde-qt5xcb-plugin, dde-qt5integration5
 Description: Qt platform theme integration plugin choosers for DDE
  Multiple Qt plugin choosers for DDE is included.

## qt5integration 5.6.32

=== debian/changelog ===
qt5integration (5.6.32) unstable; urgency=medium

  * fix: can't set transparent for Menu's background
  * chore: adapt to qt6xdg

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:29:21 +0000

qt5integration (5.6.31) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jun 2024 09:11:34 +0000

qt5integration (5.6.30) unstable; urgency=medium

  * fix: qapitrace open file crash
  * fix: close action in lineedit is narrowed(Issue: https://github.com/linuxdeepin/developer-center/issues/8423)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 30 May 2024 02:46:31 +0000

qt5integration (5.6.29) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 13 May 2024 03:02:54 +0000

qt5integration (5.6.28) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 29 Apr 2024 08:23:39 +0000

qt5integration (5.6.27) unstable; urgency=medium

  * fix: The month button arrow in DCalendarWidget is out of range(Issue: https://github.com/linuxdeepin/developer-center/issues/7402)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 19 Apr 2024 08:55:34 +0000

qt5integration (5.6.26) unstable; urgency=medium

  * fix: icon size of the selected item in context menu(Issue: https://github.com/linuxdeepin/developer-center/issues/7446)
  * chore: scrollerbar tweak(Task: 331783)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Mar 2024 05:47:34 +0000

qt5integration (5.6.25) unstable; urgency=medium

  * fix: Button can't reponse Return/Enter key(Issue: https://github.com/linuxdeepin/developer-center/issues/5852)
  * chore: ButtonPressKeys is only supported in Qt6
  * fix: wrong style for ComboBox in RightToLeft layout(Issue: https://github.com/linuxdeepin/developer-center/issues/1765)
  * fix: Need link x11
    Thanks to Hillwood Yang
  * chore: check platformtheme is valid when set menu windowradius

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 11 Mar 2024 01:16:27 +0000

qt5integration (5.6.20) unstable; urgency=medium

  * release 5.6.20

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 29 Nov 2023 09:56:07 +0800

qt5integration (5.6.17) unstable; urgency=medium

  * release 5.6.17
  * feat: scrollbar show policy tweak
  * fix: some apps failed to create system tray

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 30 Aug 2023 13:42:26 +0800

qt5integration (5.6.16) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/2e5e092ba3f86b16d1aabbabcf0bfd2ae65b19c8(Influence: none)
  * chore(CI): Update obs tag build workflow
  * chore: always use qmake
  * fix: compatibility with libqtxdg2
  * feat: support cmake and Qt6
  * feat: imageformatplugins support cmake and Qt6
  * feat: platformthemeplugin supports cmake and Qt6
  * feat: styleplugins support cmake and Qt6
  * feat: styles support cmake and Qt6
  * fix: DLineEdit setAlert not work on DDialog(Issue: #91)
  * fix: missing 3rdparty sources and resources
  * chore: fix nodiscard warning
  * fix: do not compile and install dstyleplugin
  * fix: redirect styles output
  * feat: tests support cmake and Qt6
  * Revert "fix(style): the list view item select rect subtraction the frame margins"
  * fix: dbusmenu related symbols are hidden in Qt6
  * chore: delete deprecated project files
  * fix: dci icon cache key miss theme name(Issue: https://github.com/linuxdeepin/developer-center/issues/4517)
  * fix: Combobox's background is wrong when hover(Issue: #61)
  * fix: svg imageformat plugin not load
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore: delete deprecated interface about iconengine
  * fix: diconengine load failed
  * tests: fix unit tests resource lacking
  * fix: file manage crash
  * fix: compatibility with orientation
  * refactor: remove unused old style
  * feat: add test coverage script
  * tests: add some unit tests
  * chore: add additional runtime control
  * chore: correct source file license
  * refactor: ut sources to linked form
  * chore: remove redundant macro
  * chore: use libfreetype-dev instead of libfreetype6-dev
  * fix: App failed to create multiple system trays

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Aug 2023 15:36:34 +0800

qt5integration (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * FIX dtk#53 dtk#55 dtk#64 dtk#65 developer-center#4122

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 13:50:24 +0800

qt5integration (5.6.10) unstable; urgency=medium

  * Release 5.6.10
  * FIX dtkwidget/#399 dtkwidget/#409
  * FIX developer-center/#4068 developer-center/#4077
  * deepin theme plugin add DDE key


 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Apr 2023 17:18:59 +0800

qt5integration (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 10:20:50 +0800

qt5integration (5.6.6) unstable; urgency=medium

  * Release 5.6.6

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 13 Mar 2023 10:13:11 +0800

qt5integration (5.6.5) unstable; urgency=medium

  * Release 5.6.5

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 02 Feb 2023 14:10:21 +0800

qt5integration (5.6.4) unstable; urgency=medium

  * Release 5.6.4

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 09 Jan 2023 11:13:35 +0800

qt5integration (5.6.3) unstable; urgency=medium

  * Release 5.6.3

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 12 Dec 2022 17:19:33 +0800

qt5integration (5.6.0) unstable; urgency=medium

  * snipe release 5.6.0

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 08 Jul 2022 15:24:31 +0800

qt5integration (5.5.21.1) unstable; urgency=medium

  * Release 5.5.21.1

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 14 Jun 2022 10:45:17 +0800

## qt5integration 5.7.5

=== platformthemeplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS DBus Widgets)
set(QT_LIBS Qt${QT_VERSION_MAJOR}::DBus Qt${QT_VERSION_MAJOR}::Widgets)
if(QT_VERSION_MAJOR EQUAL 5)
    find_package(Qt5X11Extras REQUIRED)
    list(APPEND QT_LIBS Qt5::X11Extras)
    if(QT_VERSION_MINOR GREATER_EQUAL 8) # Qt5.8
        find_package(Qt5ThemeSupport REQUIRED)
        list(APPEND QT_LIBS Qt5::ThemeSupportPrivate)
    else()
        list(APPEND QT_LIBS Qt5::PlatformSupportPrivate) # TODO to be verified
    endif()
    set(3RD_PARTY_SOURCES
        ${CMAKE_SOURCE_DIR}/3rdparty/qdbustrayicon.cpp
        ${CMAKE_SOURCE_DIR}/3rdparty/qstatusnotifieritemadaptor.cpp
        ${CMAKE_SOURCE_DIR}/3rdparty/qdbusmenuconnection.cpp
    )
    set(3RD_PARTY_HEADERS
        ${CMAKE_SOURCE_DIR}/3rdparty/qdbustrayicon_p.h
        ${CMAKE_SOURCE_DIR}/3rdparty/qstatusnotifieritemadaptor_p.h
        ${CMAKE_SOURCE_DIR}/3rdparty/qdbusmenuconnection_p.h
    )
else()
    list(APPEND QT_LIBS Qt6::GuiPrivate)
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(Deps REQUIRED IMPORTED_TARGET mtdev x11)
if(ENABLE_QT_XDG_ICON_LOADER)
    set(DEFS -DXDG_ICON_VERSION_MAR=${XDG_ICON_VERSION_MAJOR})
    list(APPEND QT_LIBS ${QT_XDG_ICON_DEPS})
endif()
if(QT_VERSION_MAJOR EQUAL 5)
    qt5_add_dbus_interface(DBUS_INTERFACES ${CMAKE_CURRENT_LIST_DIR}/xmls/com.deepin.filemanager.filedialog.xml filedialog_interface)
    qt5_add_dbus_interface(DBUS_INTERFACES ${CMAKE_CURRENT_LIST_DIR}/xmls/com.deepin.filemanager.filedialogmanager.xml filedialogmanager_interface)
else()
    qt6_add_dbus_interface(DBUS_INTERFACES ${CMAKE_CURRENT_LIST_DIR}/xmls/com.deepin.filemanager.filedialog.xml filedialog_interface)
    qt6_add_dbus_interface(DBUS_INTERFACES ${CMAKE_CURRENT_LIST_DIR}/xmls/com.deepin.filemanager.filedialogmanager.xml filedialogmanager_interface)
endif()
dtk_add_plugin(
    NAME
        qdeepin
    OUTPUT_DIR
        ${PLUGIN_OUTPUT_BASE_DIR}/platformthemes
    INSTALL_DIR
        ${PLUGIN_INSTALL_BASE_DIR}/platformthemes
    SOURCES
        dthemesettings.cpp
        qdeepinfiledialoghelper.cpp
        qdeepintheme.cpp
        ${3RD_PARTY_SOURCES}
        main.cpp
        ${DBUS_INTERFACES}
    HEADERS
        dthemesettings.h
        qdeepinfiledialoghelper.h
        qdeepintheme.h
        ${3RD_PARTY_HEADERS}
    RESOURCES
        icons/deepin-theme-plugin-icons.qrc
        deepin-theme-plugin.qrc
    DEPENDENCIES
        Dtk${VERSION_SUFFIX}::Gui
        ${QT_LIBS}
        PkgConfig::Deps
    DEFINITIONS
        ${DEFS}
    INCLUDE_DIRS
        ${CMAKE_CURRENT_BINARY_DIR}
)

=== iconengineplugins/svgiconengine/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Concurrent)
dtk_add_plugin(
    NAME
      dsvgicon
    OUTPUT_DIR
      ${PLUGIN_OUTPUT_BASE_DIR}/iconengines
    INSTALL_DIR
      ${PLUGIN_INSTALL_BASE_DIR}/iconengines
    SOURCES
      qsvgiconengine.cpp
      main.cpp
    HEADERS
      qsvgiconengine.h
    DEPENDENCIES
      Qt${QT_VERSION_MAJOR}::GuiPrivate
      Dtk${VERSION_SUFFIX}::Gui
      Qt${QT_VERSION_MAJOR}::Concurrent
)

=== debian/changelog ===
qt5integration (5.7.5) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 12 Dec 2024 03:03:54 +0000

qt5integration (5.7.4) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 03 Dec 2024 02:00:45 +0000

qt5integration (5.7.3) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 20 Nov 2024 02:19:06 +0000

qt5integration (5.7.2) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 13 Nov 2024 01:53:26 +0000

qt5integration (5.7.1) unstable; urgency=medium

  * fix: loongarch64 disable compile unit test binaries
  * menu item and slider style tweak (#242)
    Thanks to Whale107(Bug: 254295)(Task: 362001)(Influence: 调整滑动条横条和刻度颜色)
  * merge dev/animation to master (#243)
    Thanks to Whale107

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 16 Oct 2024 03:30:44 +0000

qt5integration (5.6.34) unstable; urgency=medium

  * fix(build): failed when qt6xdg not found

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 20 Aug 2024 05:03:51 +0000

## qt5integration 5.7.14

=== imageformatplugins/svg/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

dtk_add_plugin(
    NAME
        dsvg
    OUTPUT_DIR
        ${PLUGIN_OUTPUT_BASE_DIR}/imageformats
    INSTALL_DIR
        ${PLUGIN_INSTALL_BASE_DIR}/imageformats
    SOURCES
        main.cpp
        qsvgiohandler.cpp
    HEADERS
        qsvgiohandler.h
    DEPENDENCIES
        Dtk${VERSION_SUFFIX}::Gui
)

=== debian/changelog ===
qt5integration (5.7.14) unstable; urgency=medium

  * Release 5.7.14

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:51:59 +0800

qt5integration (5.7.13) unstable; urgency=medium

  * Release 5.7.13

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:06:28 +0800

qt5integration (5.7.12) unstable; urgency=medium

  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:30:04 +0800

qt5integration (5.7.11) unstable; urgency=medium

  * Release 5.7.11

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:48:12 +0800

qt5integration (5.7.10) unstable; urgency=medium

  * Release 5.7.10

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:18:50 +0800

qt5integration (5.7.9) unstable; urgency=medium

  * chore: disable ut by default

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 09:07:08 +0000

qt5integration (5.7.8) unstable; urgency=medium

  * chore: delay to access dbus for trayicon

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 14 Jan 2025 11:17:31 +0000

qt5integration (5.7.7) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 09:28:38 +0000

qt5integration (5.7.6) unstable; urgency=medium

  * fix: missing antialiased for menuItem

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 02 Jan 2025 05:43:53 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## qt5integration 5.7.16

=== styleplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
add_subdirectory(chameleon)

=== debian/changelog ===
qt5integration (5.7.16) unstable; urgency=medium

  * Release 5.7.16

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:22:18 +0800

qt5integration (5.7.15) unstable; urgency=medium

  * Release 5.7.15

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:53:23 +0800

## qt5integration 5.7.18

=== styles/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
add_executable(gallery
    norwegianwoodstyle.h
    widgetgallery.h
    main.cpp
    norwegianwoodstyle.cpp
    widgetgallery.cpp
    styles.qrc
)

target_link_libraries(gallery PRIVATE Dtk${VERSION_SUFFIX}::Widget)
set_target_properties(gallery PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

=== debian/changelog ===
qt5integration (5.7.18) unstable; urgency=medium

  * Release 5.7.18

 --  yeshanshan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 17:08:29 +0800

qt5integration (5.7.17) unstable; urgency=medium

  * Release 5.7.17

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:07:19 +0800

## qt5integration 5.7.19

=== debian/changelog ===
qt5integration (5.7.19) unstable; urgency=medium

  * Release 5.7.19

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:12:43 +0800

## qt5integration 5.7.21

=== imageformatplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

add_subdirectory(dci)
add_subdirectory(svg)

=== debian/changelog ===
qt5integration (5.7.21) unstable; urgency=medium

  * Release 5.7.21

 --  yeshanshan <packages@deepin.org>  Thu, 14 Aug 2025 19:48:20 +0800

qt5integration (5.7.20) unstable; urgency=medium

  * Release 5.7.20

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 20:01:31 +0800

## qt5integration 5.7.24

=== debian/changelog ===
qt5integration (5.7.24) unstable; urgency=medium

  * Release 5.7.24

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:45:03 +0800

qt5integration (5.7.23) unstable; urgency=medium

  * Release 5.7.23

 --  yeshanshan <packages@deepin.org>  Thu, 25 Sep 2025 16:49:22 +0800

qt5integration (5.7.22) unstable; urgency=medium

  * Release 5.7.22

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 04 Sep 2025 19:27:02 +0800

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+# 安全编译参数
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
 
 %:
 	dh $@

## qt5integration 5.7.26

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,9 @@
 
 cmake_minimum_required(VERSION 3.13)
 
-set(DTK_VERSION
-  5.6.12
-  CACHE STRING "Project version"
-)
+file(READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" DTK_FILE_VERSION)
+string(STRIP "${DTK_FILE_VERSION}" DTK_FILE_VERSION)
+set(DTK_VERSION "${DTK_FILE_VERSION}" CACHE STRING "Project version")
 
 project(
   qtintegration
@@ -17,12 +16,14 @@
   LANGUAGES CXX C
 )
 
-option(BUILD_TESTS "Build tests" OFF)
 option(ENABLE_COV "Enable code coverage" OFF)
 
 if(PROJECT_VERSION_MAJOR EQUAL 6)
   set(VERSION_SUFFIX 6)
   find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core)
+  if(QT_VERSION VERSION_GREATER_EQUAL 6.10)
+    find_package(Qt6 COMPONENTS CorePrivate GuiPrivate WidgetsPrivate REQUIRED)
+  endif()
 else()
   set(VERSION_SUFFIX)
   find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core)
@@ -49,6 +50,7 @@
 if(CMAKE_BUILD_TYPE_LOWER STREQUAL release)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2")
 elseif(CMAKE_BUILD_TYPE_LOWER STREQUAL debug)
+  set(BUILD_TESTING ON)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0 -g")
 endif()
 
@@ -105,9 +107,8 @@
 find_package(Dtk${VERSION_SUFFIX} REQUIRED COMPONENTS Widget)
 
 option(ENABLE_QT_XDG_ICON_LOADER "Enable QtXdgIconLoader" ON)
-find_package(Qt${QT_VERSION_MAJOR}XdgIconLoader)
-find_package(Qt${QT_VERSION_MAJOR}Xdg REQUIRED)
-if (NOT Qt${QT_VERSION_MAJOR}XdgIconLoader_FOUND)
+find_package(Qt${QT_VERSION_MAJOR}Xdg)
+if (NOT Qt${QT_VERSION_MAJOR}Xdg_FOUND)
     message(WARNING " Qt${QT_VERSION_MAJOR}XdgIconLoader Not Found, DISABLE QtXdgIconLoader !")
     set (ENABLE_QT_XDG_ICON_LOADER OFF)
 endif()
@@ -132,6 +133,6 @@
 if(CMAKE_BUILD_TYPE_LOWER STREQUAL debug)
   add_subdirectory(styles)
 endif()
-if(BUILD_TESTS)
+if(BUILD_TESTING)
   add_subdirectory(tests)
 endif()

=== debian/changelog ===
qt5integration (5.7.26) unstable; urgency=medium

  * Release 5.7.26

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 06 Nov 2025 17:02:45 +0800

qt5integration (5.7.25) unstable; urgency=medium

  * Release 5.7.25

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:46:36 +0800
